--- title: "DeleteMetricGroupForce" slug: "management-cloudinsight-deletemetricgroupforce" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-deletemetricgroupforce" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # DeleteMetricGroupForce Available in Classic and VPC Delete all event rules related to a specific rule template (monitoring item group). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /cw_fea/real/cw/api/rule/group/metric/groups | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodKey` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `TypeGroupRelatedRuleDto` | Array | Required | [Event rule information](/docs/en/common-vapidatatype-citypegrouprelatedruledto) - See [GetRuleGroupByMetricGroupIds](/docs/en/management-cloudinsight-getrulegroupbymetricgroupids). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/rule/group/metric/groups?prodKey=**********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '[ { "id": "**********", "ruleGroupItemDtoList": [ { "cfTriggers": [], "cfTriggersOptions": {}, "createTime": **********, "domainCode": "PUB", "groupDesc": "Create an event rule.", "groupName": "test", "id": "**********", "metricsGroups": [ { "createTime": **********, "domainCode": "PUB", "groupDesc": "This is a metric group (template).", "groupName": "MetricGroup001", "id": "**********", "idDimension": "resourceId", "metrics": [ { "calculation": "AVG", "condition": "GT", "dimensions": [ { "dim": "type", "val": "svr" } ], "duration": 1, "eventLevel": "INFO", "metric": "bucket_size", "metricGroupItemId": "**********", "options": { "Min1": [ "AVG" ], "Min5": [ "AVG" ], "Min30": [ "AVG" ], "Hour2": [ "AVG" ], "Day1": [ "AVG" ] }, "threshold": "1" } ], "prodKey": "**********", "prodType": "system", "regionCode": "KR", "temporaryGroup": false, "updateTime": ********** } ], "monitorGroups": [ { "groupDesc": "This is a monitoring target group.", "groupName": "MonitorGroup001", "id": "**********", "monitorGroupItemList": [ { "nrn": "**********", "resourceId": "**********", "resourceName": "**********" } ], "prodKey": "**********", "prodName": "Object Storage", "temporaryGroup": false, "type": "NORMAL" } ], "prodKey": "**********", "regionCode": "KR", "ruleVersion": "V2", "suspendRuleItems": [], "updateTime": ********** } ] } ]' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example If the response is successful, the entire event rule associated with the specific rule template (monitoring item group) is deleted along with the message `200 OK`.